<?php

// src/map.php
/**
 * @Entity @Table(name="rssi_record")
 **/
class rssi_record
{
    /** @Id @ManyToOne(targetEntity="location")
      * @JoinColumn(name="location_id", referencedColumnName="id")
    */

    protected $location; //histofingerprint

    /** @Id @ManyToOne(targetEntity="access_point")
      * @JoinColumn(name="access_point_id", referencedColumnName="id")
    */
    protected $access_point; //histoValue

    /** @Id @Column(type="float") **/
    protected $value;     //bean

    /** @Column(type="integer") **/
    protected $occurences;  //bean

    public function getLocation()
    {
        return $this->location;
    }
    public function setLocation($id)
    {
        $this->location = $id;
    }

    public function getAccess_point()
    {
        return $this->access_point;
    }

    public function setAccess_point($id)
    {
        $this->access_point = $id;
    }

    public function getOccurences()
    {
        return $this->occurences;
    }


    public function getValue()
    {
        return $this->value;
    }

    public function setValue($value)
    {
        $this->value = $value;
    }

    public function setOccurences($mac)
    {
        $this->occurences = $mac;
    }
}
?>
